Jack2: Jack::JackNetSlaveInterface Class Reference

Jack2 1.9.12

Public Member Functions | Protected Member Functions | Static Protected Attributes | List of all members
Jack::JackNetSlaveInterface Class Reference

`#include <JackNetInterface.h>`

Inheritance diagram for Jack::JackNetSlaveInterface:

## Public Member Functions
| JackNetSlaveInterface (const char *ip, int port)
Public Member Functions inherited from Jack::JackNetInterface
| JackNetInterface (const char *multicast_ip, int port)
| JackNetInterface (session_params_t &params, JackNetSocket &socket, const char *multicast_ip)

## Protected Member Functions
bool | Init ()
bool | InitConnection (int time_out_sec)
bool | InitRendering ()
net_status_t | SendAvailableToMaster (int count=INT_MAX)
net_status_t | SendStartToMaster ()
bool | SetParams ()
int | SyncRecv ()
int | SyncSend ()
int | DataRecv ()
int | DataSend ()
void | EncodeSyncPacket (int frames=-1)
void | DecodeSyncPacket (int &frames)
int | Recv (size_t size, int flags)
int | Send (size_t size, int flags)
void | FatalRecvError ()
void | FatalSendError ()
void | InitAPI ()
Protected Member Functions inherited from Jack::JackNetInterface
void | Initialize ()
int | SetNetBufferSize ()
void | FreeNetworkBuffers ()
virtual void | EncodeTransportData ()=0
virtual void | DecodeTransportData ()=0
int | MidiSend (NetMidiBuffer *buffer, int midi_channnels, int audio_channels)
int | AudioSend (NetAudioBuffer *buffer, int audio_channels)
int | MidiRecv (packet_header_t *rx_head, NetMidiBuffer *buffer, uint &recvd_midi_pckt)
int | AudioRecv (packet_header_t *rx_head, NetAudioBuffer *buffer)
int | FinishRecv (NetAudioBuffer *buffer)
void | SetRcvTimeOut ()
void | SetPacketTimeOut (int time_out)
NetAudioBuffer * | AudioBufferFactory (int nports, char *buffer)

## Static Protected Attributes
static uint | fSlaveCounter = 0

## Additional Inherited Members
Protected Attributes inherited from Jack::JackNetInterface
bool | fSetTimeOut
int | fPacketTimeOut
session_params_t | fParams
JackNetSocket | fSocket
char | fMulticastIP [32]
packet_header_t | fTxHeader
packet_header_t | fRxHeader
net_transport_data_t | fSendTransportData
net_transport_data_t | fReturnTransportData
char * | fTxBuffer
char * | fRxBuffer
char * | fTxData
char * | fRxData
NetMidiBuffer * | fNetMidiCaptureBuffer
NetMidiBuffer * | fNetMidiPlaybackBuffer
NetAudioBuffer * | fNetAudioCaptureBuffer
NetAudioBuffer * | fNetAudioPlaybackBuffer

## Detailed Description

This class describes the Net Interface for slaves (NetDriver and NetAdapter)

Definition at line 199 of file JackNetInterface.h.

The documentation for this class was generated from the following files:

- JackNetInterface.h
- JackNetInterface.cpp